| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::testing::TestAllocator Class Reference
Inheritance diagram for impeller::testing::TestAllocator:

## Public Member Functions
| TestAllocator ()=default
| ~TestAllocator ()=default
ISize | GetMaxTextureSizeSupported () const override
std::shared_ptr< DeviceBuffer > | OnCreateBuffer (const DeviceBufferDescriptor &desc) override
virtual std::shared_ptr< Texture > | OnCreateTexture (const TextureDescriptor &desc) override
Public Member Functions inherited from impeller::Allocator
virtual | ~Allocator ()
bool | IsValid () const
std::shared_ptr< DeviceBuffer > | CreateBuffer (const DeviceBufferDescriptor &desc)
std::shared_ptr< Texture > | CreateTexture (const TextureDescriptor &desc)
virtual uint16_t | MinimumBytesPerRow (PixelFormat format) const
| Minimum value for `row_bytes` on a Texture. The row bytes parameter of that method must be aligned to this value. More...
std::shared_ptr< DeviceBuffer > | CreateBufferWithCopy (const uint8_t *buffer, size_t length)
std::shared_ptr< DeviceBuffer > | CreateBufferWithCopy (const fml::Mapping &mapping)
virtual void | DebugTraceMemoryStatistics () const
| Write debug memory usage information to the dart timeline in debug and profile modes. More...
virtual size_t | DebugGetHeapUsage () const

## Public Attributes
bool | should_fail = false

## Additional Inherited Members
Protected Member Functions inherited from impeller::Allocator
| Allocator ()

## Detailed Description

Definition at line 22 of file render_target_cache_unittests.cc.

## Constructor & Destructor Documentation

## ◆ TestAllocator()

impeller::testing::TestAllocator::TestAllocator | ( |  | ) |
| default

## ◆ ~TestAllocator()

impeller::testing::TestAllocator::~TestAllocator | ( |  | ) |
| default

## Member Function Documentation

## ◆ GetMaxTextureSizeSupported()

ISize impeller::testing::TestAllocator::GetMaxTextureSizeSupported | ( |  | ) | const
| inline override virtual

Implements impeller::Allocator.

Definition at line 28 of file render_target_cache_unittests.cc.

28 {
29 return ISize(1024, 1024);
30 };

## ◆ OnCreateBuffer()

std::shared_ptr<DeviceBuffer> impeller::testing::TestAllocator::OnCreateBuffer | ( | const DeviceBufferDescriptor & | desc | ) |
| inline override virtual

Implements impeller::Allocator.

Definition at line 32 of file render_target_cache_unittests.cc.

33 {
34 if (should_fail) {
35 return nullptr;
36 }
37 return std::make_shared<MockDeviceBuffer>(desc);
38 };

References should_fail.

## ◆ OnCreateTexture()

virtual std::shared_ptr<Texture> impeller::testing::TestAllocator::OnCreateTexture | ( | const TextureDescriptor & | desc | ) |
| inline override virtual

Implements impeller::Allocator.

Definition at line 40 of file render_target_cache_unittests.cc.

41 {
42 if (should_fail) {
43 return nullptr;
44 }
45 return std::make_shared<MockTexture>(desc);
46 };

References should_fail.

## Member Data Documentation

## ◆ should_fail

bool impeller::testing::TestAllocator::should_fail = false

Definition at line 48 of file render_target_cache_unittests.cc.

Referenced by OnCreateBuffer(), and OnCreateTexture().

The documentation for this class was generated from the following file:

- impeller/entity/render_target_cache_unittests.cc

impeller::ISize
ISize64 ISize
Definition: size.h:140
impeller::testing::TestAllocator::should_fail
bool should_fail
Definition: render_target_cache_unittests.cc:48